Subject: Re: [PATCH 5/7] pci: Export the pci_restore_msi_state() function

From: "Michael Chan" <[email-masked]>
Date: Fri, 19 Oct 2007 18:12:03 -0700

On Fri, 2007-10-19 at 19:04 -0500, [email-masked] wrote:
> I'm working in linux-2.6.23-rc8-mm1 at the moment, and I don't see
> that happening. viz. read_msi_msg() is not called anywhere, and I need
> to have valid msg->address_lo and msg->address_hi and msg->data
> in order to be able to restore.
> 
> In particular, this has to happen after the call to
> arch_setup_msi_irqs
> as otherwise, the arch hasn't yet filled these fields with correct
> values.
> 
> Perhaps this is fixed in the kernel you're working with?

It's possible that this doesn't work on pseries.  I've only tested
pci_restore_msi_state() on x86 in the context of suspend and resume.
During resume, the MSI state gets restored correctly on x86.